ND(1)

NAME
nd - Tiny little command line WebDAV interface

SYNOPSIS
nd [options] url

DESCRIPTION
nd provides a simple command line interface to the RFC 2518 (WebDAV) server. If no option is specified, HTTP GET command is issued and writes response data to the standard output.

The options are as follows:

-c dest_url
    COPY url to the dest_url. Use lock token if -t is specified.

-f  Force override the content even when the MOVE or COPY target already exits.

-v  View property information of url by PROPFIND. With -g option, only the specified property is displayed.

-p file
    PUT file content to the url. Use lock token if -t is specified.

-g name
    Specify the property name for -v option.

-e name=value
    Edit the property with name to value using PROPPATCH .

-N namespace-url
    Specify the property namespace URL for -e or -g option.

-P file
    POST file content to the url. -T is used for the Content-Type.

-T content_type
    Use content_type as a Content-Type field value of the POST request. Default is `application/x-www-form-urlencoded'.

-d  DELETE url. Use lock token if -t is specified.

-l  LOCK url. Use -o as owner, -s as scope, -i as timeout.

-o owner
    Specify lock owner. Default is USER environment variable.

-s scope
    Specify lock scope (`exclusive' or `shared'). Default is `exclusive'.

-i timeout
    Specify lock timeout interval. Default is `Infinite'.

-u  UNLOCK url. -t option is required.

-t token
    Specify the lock token.

-r  Set command execution `Depth' as `Infinity'.

-a realm
    Specify authentication realm.

-A realm
    Specify proxy authentication realm.

-k  MKCOL url .

-m dest_url
    MOVE url to the dest_url. Use lock token if -t is specified.

-S  Print output using s-expression.

ENVIRONMENT VARIABLES

http_proxy, HTTP_PROXY
    Specify HTTP proxy.

USER
    When manipulating a lock without an explicit owner option, the value of USER is used to set the owner of the file lock.

BUGS
A maintainer of the Debian package has implemented Digest authentication on top of the original software. However, the upstream source uses the nanoHTTP code from libxml2 to implement the HTTP transport. Due to properties inherent in that code for detecting and following redirected target sites, there is no way to pull out the new address in order to insert it into the hashes necessary for the Digest method. Nd will therefore incorrectly answer with 'Bad request' to any method call aimed at such sites. Using the correct logical name for the target will, however, produce a correct response from Nd.

AUTHORS
Yuuichi Teranishi (teranisi@gohome.org).

SEE ALSO
libxml(4).